From ba1551a6ff6caad94b85f1451751951c85ff1914 Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Nov 11 2020 03:13:00 +0000
Subject: [PATCH 1340/2232] Merge 0.5.8 into master


---

diff --git a/Cargo.toml b/Cargo.toml
index 7c869e4..267e95e 100644
--- a/Cargo.toml
+++ b/Cargo.toml
@@ -1,6 +1,6 @@
 [package]
 name = "cxx"
-version = "0.5.7" # remember to update html_root_url
+version = "0.5.8" # remember to update html_root_url
 authors = ["David Tolnay <dtolnay@gmail.com>"]
 edition = "2018"
 links = "cxxbridge05"
@@ -20,15 +20,15 @@ default = ["cxxbridge-flags/default"] # c++11
 "c++20" = ["cxxbridge-flags/c++20"]
 
 [dependencies]
-cxxbridge-macro = { version = "=0.5.7", path = "macro" }
+cxxbridge-macro = { version = "=0.5.8", path = "macro" }
 link-cplusplus = "1.0"
 
 [build-dependencies]
 cc = "1.0.49"
-cxxbridge-flags = { version = "=0.5.7", path = "flags", default-features = false }
+cxxbridge-flags = { version = "=0.5.8", path = "flags", default-features = false }
 
 [dev-dependencies]
-cxx-build = { version = "=0.5.7", path = "gen/build" }
+cxx-build = { version = "=0.5.8", path = "gen/build" }
 cxx-gen = { version = "0.6", path = "gen/lib" }
 cxx-test-suite = { version = "0", path = "tests/ffi" }
 rustversion = "1.0"
diff --git a/flags/Cargo.toml b/flags/Cargo.toml
index de74ed1..70de409 100644
--- a/flags/Cargo.toml
+++ b/flags/Cargo.toml
@@ -1,6 +1,6 @@
 [package]
 name = "cxxbridge-flags"
-version = "0.5.7"
+version = "0.5.8"
 authors = ["David Tolnay <dtolnay@gmail.com>"]
 edition = "2018"
 license = "MIT OR Apache-2.0"
diff --git a/gen/build/Cargo.toml b/gen/build/Cargo.toml
index b694f9a..3839e88 100644
--- a/gen/build/Cargo.toml
+++ b/gen/build/Cargo.toml
@@ -1,6 +1,6 @@
 [package]
 name = "cxx-build"
-version = "0.5.7"
+version = "0.5.8"
 authors = ["David Tolnay <dtolnay@gmail.com>"]
 edition = "2018"
 license = "MIT OR Apache-2.0"
diff --git a/gen/cmd/Cargo.toml b/gen/cmd/Cargo.toml
index fe09585..e5883c9 100644
--- a/gen/cmd/Cargo.toml
+++ b/gen/cmd/Cargo.toml
@@ -1,6 +1,6 @@
 [package]
 name = "cxxbridge-cmd"
-version = "0.5.7"
+version = "0.5.8"
 authors = ["David Tolnay <dtolnay@gmail.com>"]
 edition = "2018"
 license = "MIT OR Apache-2.0"
diff --git a/gen/lib/Cargo.toml b/gen/lib/Cargo.toml
index 3a6988d..66ca30d 100644
--- a/gen/lib/Cargo.toml
+++ b/gen/lib/Cargo.toml
@@ -1,6 +1,6 @@
 [package]
 name = "cxx-gen"
-version = "0.6.4"
+version = "0.6.5"
 authors = ["Adrian Taylor <adetaylor@chromium.org>"]
 edition = "2018"
 license = "MIT OR Apache-2.0"
diff --git a/gen/src/builtin.rs b/gen/src/builtin.rs
index 8a25769..72b411c 100644
--- a/gen/src/builtin.rs
+++ b/gen/src/builtin.rs
@@ -62,6 +62,7 @@ pub(super) fn write(out: &mut OutFile) {
     if builtin.rust_box {
         include.new = true;
         include.type_traits = true;
+        include.utility = true;
     }
 
     if builtin.rust_vec {
diff --git a/macro/Cargo.toml b/macro/Cargo.toml
index 1a78458..3adcb38 100644
--- a/macro/Cargo.toml
+++ b/macro/Cargo.toml
@@ -1,6 +1,6 @@
 [package]
 name = "cxxbridge-macro"
-version = "0.5.7"
+version = "0.5.8"
 authors = ["David Tolnay <dtolnay@gmail.com>"]
 edition = "2018"
 license = "MIT OR Apache-2.0"
diff --git a/src/lib.rs b/src/lib.rs
index 2265032..281d2c8 100644
--- a/src/lib.rs
+++ b/src/lib.rs
@@ -349,7 +349,7 @@
 //! [https://github.com/dtolnay/cxx]: https://github.com/dtolnay/cxx
 
 #![no_std]
-#![doc(html_root_url = "https://docs.rs/cxx/0.5.7")]
+#![doc(html_root_url = "https://docs.rs/cxx/0.5.8")]
 #![deny(improper_ctypes)]
 #![allow(non_camel_case_types)]
 #![allow(
